This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 432137 - (kcoloredit) Review Request: kcoloredit - A color palette Editor for KDE 4
Review Request: kcoloredit - A color palette Editor for KDE 4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 19:49 EST by Sebastian Vahl
Modified: 2012-07-10 14:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 05:51:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2008-02-08 19:49:15 EST
Spec URL: http://svahl.fedorapeople.org/kcoloredit/kcoloredit.spec
SRPM URL: http://svahl.fedorapeople.org/kcoloredit/kcoloredit-4.0.1-1.fc8.src.rpm
Description: 
KColorEdit is a palette files editor. It can be used for editing
color palettes and for color choosing and naming

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=405234
Comment 1 Parag AN(पराग) 2008-02-08 21:32:11 EST
I confused on Requires: oxygen-icon-theme. Can it be Reqires: hicolor-icon-theme?
Comment 2 Parag AN(पराग) 2008-02-08 21:52:21 EST
On my rawhide machine, When I rebuilt this srpm and installed rpm, I got

Preparing...                ########################################### [100%]
        file /usr/share/locale/ta/LC_MESSAGES/kcoloredit.mo from install of
kcoloredit-4.0.1-1.fc9.i386 conflicts with file from package
kde-i18n-Tamil-3.5.8-3.fc9.noarch
        file /usr/share/locale/ja/LC_MESSAGES/kcoloredit.mo from install of
kcoloredit-4.0.1-1.fc9.i386 conflicts with file from package
kde-i18n-Japanese-3.5.8-3.fc9.noarch
        file /usr/share/locale/pa/LC_MESSAGES/kcoloredit.mo from install of
kcoloredit-4.0.1-1.fc9.i386 conflicts with file from package
kde-i18n-Punjabi-3.5.8-3.fc9.noarch
        file /usr/share/locale/zh_TW/LC_MESSAGES/kcoloredit.mo from install of
kcoloredit-4.0.1-1.fc9.i386 conflicts with file from package
kde-i18n-Chinese-Big5-3.5.8-3.fc9.noarch
        file /usr/share/locale/zh_CN/LC_MESSAGES/kcoloredit.mo from install of
kcoloredit-4.0.1-1.fc9.i386 conflicts with file from package
kde-i18n-Chinese-3.5.8-3.fc9.noarch
Comment 3 Parag AN(पराग) 2008-02-08 21:58:36 EST
Just found that 
repoquery --whatprovides oxygen-icon-theme
kdebase-runtime-0:4.0.1-1.fc9.i386
Comment 4 Kevin Kofler 2008-02-11 16:55:44 EST
These conflicting files will be removed from kde-i18n ASAP. (We want to ship 
the version from the current kcoloredit, not the KDE 3 one.)

As for oxygen-icon-theme, it's needed (it's the only theme to provide some of 
the used icons, and also the global fallback in KDE 4, and also what we're 
defaulting to), and as you've noticed, it's currently in kdebase-runtime anyway 
(it might get split out later).
Comment 5 Parag AN(पराग) 2008-02-11 20:13:41 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=405234
+ rpmlint is silent for SRPM. Bur NOT for RPM.
kcoloredit.i386: W: dangling-symlink /usr/share/doc/HTML/en/kcoloredit/common
/usr/share/doc/HTML/en/common
kcoloredit.i386: W: symlink-should-be-relative
/usr/share/doc/HTML/en/kcoloredit/common /usr/share/doc/HTML/en/common
==> Ok to accept here
+ source files match upstream.
77f69d70f105f83713e427ae0c8f1e5b  kcoloredit-4.0.1.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ xdg-utils scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

APPROVED.
Comment 6 Kevin Kofler 2008-02-11 20:31:48 EST
File conflicts fixed in kde-i18n-3.5.8-5.fc9.
Comment 7 Parag AN(पराग) 2008-02-11 20:37:24 EST
(In reply to comment #6)
> File conflicts fixed in kde-i18n-3.5.8-5.fc9.

thanks.
Comment 8 Sebastian Vahl 2008-02-12 08:49:44 EST
(In reply to comment #5)
> APPROVED.

Thanks!

New Package CVS Request
=======================
Package Name: kcoloredit
Short Description: A color palette Editor for KDE 4
Owners: svahl,than,rdieter,kkofler,ltinkl
Branches: 
InitialCC: 
Cvsextras Commits: no

Comment 9 Kevin Fenzi 2008-02-12 12:42:19 EST
cvs done.
Comment 10 Sebastian Vahl 2008-02-13 05:51:17 EST
Imported and built for rawhide: 
http://koji.fedoraproject.org/koji/buildinfo?buildID=35906

Note You need to log in before you can comment on or make changes to this bug.